qemu_multiarch_testing/: a directory with scripts for build testing

Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
diff --git a/qemu_multiarch_testing/parallel-build-hdc-img.sh b/qemu_multiarch_testing/parallel-build-hdc-img.sh
new file mode 100755
index 0000000..dd77b82
--- /dev/null
+++ b/qemu_multiarch_testing/parallel-build-hdc-img.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+build_in_dir()
+{
+	cd "$1" || exit 1
+	rm -f hdb.img 2>/dev/null
+	./native-build.sh ../hdc.img
+	rm -f hdb.img 2>/dev/null
+}
+
+started=false
+for dir; do
+	test -d "$dir" || continue
+	test -e "$dir/native-build.sh" || continue
+	echo "Starting: $dir"
+	build_in_dir "$dir" </dev/null >"$dir.log" 2>&1 &
+	started=true
+done
+
+$started || {
+	echo "Give me system-image-ARCH directories on command line"
+	exit 1
+}
+
+echo "Waiting to finish"
+wait
+echo "Done, check the logs"